{
UpdateFireProjectiles();
UpdateIceProjectiles();
UpdateFrozenMobs();
}


h = ui.getHeight()
w = ui.getWidth()
pinv = player.getInventory()

// magic meter
 screen.clear()

//Automatically restore insert code here


UISprite("Magicbar.png",(w/2)-15,h-40,110,20,65,10)
if (mmcurr > 100)
{
  mmcurr = 100
} 
if (mmcurr < 1)
{
  mmcurr = 0
} 

if (mmop > 100)
{
  mmop = 100
} 
if (mmop < 1)
{
  mmop = 0
}

if(mmcurr < mmop)
{
	mmcurr=mmcurr+2
}
if(mmcurr > mmop)
{
	mmcurr = mmcurr-2
}

UISprite("Magicbar.png",(w/2)-15,h-36,mmcurr,15,65,30)

